searchNodes=[{"doc":"Textwrap provides a set of functions for wrapping, indenting, and dedenting text. It wraps the Rust textwrap crate. Wrapping Use wrap/2 to turn a String into a list of String s each no more than width characters long. iex&gt; Textwrap . wrap ( &quot;foo bar baz&quot; , 3 ) [ &quot;foo&quot; , &quot;bar&quot; , &quot;baz&quot; ] iex&gt; Textwrap . wrap ( &quot;foo bar baz&quot; , 7 ) [ &quot;foo bar&quot; , &quot;baz&quot; ] fill/2 is like wrap/2 , except that it retuns the wrapped text as a single String . iex&gt; Textwrap . fill ( &quot;foo bar baz&quot; , 3 ) &quot;foo \\n bar \\n baz&quot; iex&gt; Textwrap . fill ( &quot;foo bar baz&quot; , 7 ) &quot;foo bar \\n baz&quot; Both wrap/2 and fill/2 can either take the width to wrap too as their second argument, or take a keyword list including a :width key and any number of other options. See the docs for wrap/2 for details. Displayed Width vs Byte Width Textwrap wraps text based on measured display width, not simply counting bytes. For ascii text this gives exactly the same result, but many non-ASCII characters take up more than one byte in the UTF-8 encoding. See the documentation of the textwrap crate for more details. Terminal Width The width passed to wrap/2 or fill/2 can either by a positive integer, or the atom :termwidth . When standard output is connected to a terminal, passing :termwidth will wrap the text to the width of the terminal. Otherwise, it will use a width of 80 characters as a fallback. Indenting and Dedenting Use indent/2 and dedent/1 to indent and dedent text: iex&gt; Textwrap . indent ( &quot;hello \\n world \\n &quot; , &quot; &quot; ) &quot; hello \\n world \\n &quot; iex&gt; Textwrap . dedent ( &quot; hello \\n world \\n &quot; ) &quot;hello \\n world \\n &quot;","ref":"Textwrap.html","title":"Textwrap","type":"module"},{"doc":"Removes as much common leading whitespace as possible from each line. Each non-empty line has an equal amount of whitespace removed from its start. Empty lines (containing only whitespace) are normalized to a single \\n , with no other whitespace on the line. Examples: iex&gt; Textwrap . dedent ( &quot; hello world&quot; ) &quot;hello world&quot; iex&gt; Textwrap . dedent ( &quot; ...&gt; foo ...&gt; bar ...&gt; baz ...&gt; &quot; ) &quot; \\n foo \\n bar \\n baz \\n &quot;","ref":"Textwrap.html#dedent/1","title":"Textwrap.dedent/1","type":"function"},{"doc":"Fills text to the given width. The result is a String , with lines seperated by newline. The wrap/2 function does the same thing, except that it returns a list of Strings , one for each line. See the docs for wrap/2 for details about the options it takes. Examples iex&gt; Textwrap . fill ( &quot;hello world&quot; , 5 ) &quot;hello \\n world&quot; iex&gt; Textwrap . fill ( &quot;hello world&quot; , width : 5 ) &quot;hello \\n world&quot; iex&gt; Textwrap . fill ( &quot;Antidisestablishmentarianism&quot; , width : 10 ) &quot;Antidisest \\n ablishment \\n arianism&quot; iex&gt; Textwrap . fill ( &quot;Antidisestablishmentarianism&quot; , width : 10 , break_words : false ) &quot;Antidisestablishmentarianism&quot; iex&gt; Textwrap . fill ( &quot;Antidisestablishmentarianism&quot; , width : 10 , splitter : :en_us ) &quot;Antidis- \\n establish- \\n mentarian- \\n ism&quot; iex&gt; Textwrap . fill ( &quot;foo bar baz&quot; , ...&gt; width : 5 , ...&gt; initial_indent : &quot;&gt; &quot; , ...&gt; subsequent_indent : &quot; &quot; ) &quot;&gt; foo \\n bar \\n baz&quot; iex&gt; Textwrap . fill ( &quot;Lorem ipsum dolor sit amet, consectetur adipisicing elit&quot; , ...&gt; width : 25 , ...&gt; wrap_algorithm : :optimal_fit ) &quot;Lorem ipsum dolor \\n sit amet, consectetur \\n adipisicing elit&quot; iex&gt; Textwrap . fill ( &quot;Lorem ipsum dolor sit amet, consectetur adipisicing elit&quot; , ...&gt; width : 25 , ...&gt; wrap_algorithm : :first_fit ) &quot;Lorem ipsum dolor sit \\n amet, consectetur \\n adipisicing elit&quot;","ref":"Textwrap.html#fill/2","title":"Textwrap.fill/2","type":"function"},{"doc":"Adds a given prefix to each non-empty line. Empty lines (containing only whitespace) are normalized to a single \\n , and not indented. Any leading and trailing whitespace on non-empty lines is left unchanged. Examples: iex&gt; Textwrap . indent ( &quot;hello world&quot; , &quot;&gt;&quot; ) &quot;&gt;hello world&quot; iex&gt; Textwrap . indent ( &quot;foo \\n bar \\n baz \\n &quot; , &quot; &quot; ) &quot; foo \\n bar \\n baz \\n &quot;","ref":"Textwrap.html#indent/2","title":"Textwrap.indent/2","type":"function"},{"doc":"Wraps text to the given width. wrap/2 returns a list of Strings , each of no more than width charecters. Options can be either passed as a keyword list (which must include the key :width ), or, if using no options other than :width , the width can be passed on its own as the second argument. width can either by a positive integer or the atom :termwidth . See the module docs on :termwidth for more details. Options :width — the width to wrap at, a positive integer. :break_words — allow long words to be broken, if they won't fit on a single line. Setting this to false may cause some lines to be longer than :width . :inital_indent — will be added as a prefix to the first line of the result. :subsequent_indent — will be added as a prefix to each line other than the first line of the result. :splitter — when set to false , hyphens within words won't be treated specially as a place to split words. When set to :en_us , a language-aware hyphenation system will be used to try to break words in appropriate places. :wrap_algorithm — by default, or when set to :optimal_fit , wrap/2 will do its best to balance the gaps left at the ends of lines. When set to :first_fit , a simpler greedy algorithm is used instead. See the docs in the textwrap crate for more details. Examples iex&gt; Textwrap . wrap ( &quot;hello world&quot; , 5 ) [ &quot;hello&quot; , &quot;world&quot; ] iex&gt; Textwrap . wrap ( &quot;hello world&quot; , width : 5 ) [ &quot;hello&quot; , &quot;world&quot; ] iex&gt; Textwrap . wrap ( &quot;Antidisestablishmentarianism&quot; , width : 10 ) [ &quot;Antidisest&quot; , &quot;ablishment&quot; , &quot;arianism&quot; ] iex&gt; Textwrap . wrap ( &quot;Antidisestablishmentarianism&quot; , width : 10 , break_words : false ) [ &quot;Antidisestablishmentarianism&quot; ] iex&gt; Textwrap . wrap ( &quot;Antidisestablishmentarianism&quot; , width : 10 , splitter : :en_us ) [ &quot;Antidis-&quot; , &quot;establish-&quot; , &quot;mentarian-&quot; , &quot;ism&quot; ] iex&gt; Textwrap . wrap ( &quot;foo bar baz&quot; , ...&gt; width : 5 , ...&gt; initial_indent : &quot;&gt; &quot; , ...&gt; subsequent_indent : &quot; &quot; ) [ &quot;&gt; foo&quot; , &quot; bar&quot; , &quot; baz&quot; ] iex&gt; Textwrap . wrap ( &quot;Lorem ipsum dolor sit amet, consectetur adipisicing elit&quot; , ...&gt; width : 25 , ...&gt; wrap_algorithm : :optimal_fit ) [ &quot;Lorem ipsum dolor&quot; , &quot;sit amet, consectetur&quot; , &quot;adipisicing elit&quot; ] iex&gt; Textwrap . wrap ( &quot;Lorem ipsum dolor sit amet, consectetur adipisicing elit&quot; , ...&gt; width : 25 , ...&gt; wrap_algorithm : :first_fit ) [ &quot;Lorem ipsum dolor sit&quot; , &quot;amet, consectetur&quot; , &quot;adipisicing elit&quot; ]","ref":"Textwrap.html#wrap/2","title":"Textwrap.wrap/2","type":"function"},{"doc":"","ref":"Textwrap.html#t:wrap_algorithm/0","title":"Textwrap.wrap_algorithm/0","type":"type"},{"doc":"","ref":"Textwrap.html#t:wrap_opt/0","title":"Textwrap.wrap_opt/0","type":"type"},{"doc":"","ref":"Textwrap.html#t:wrap_opts/0","title":"Textwrap.wrap_opts/0","type":"type"}]